Shopware Sicherheits-Plugin

Shopware Sicherheits-Plugin

von: shopware AG (6) Bewertungen Quelloffen 2624 Downloads
Aktuelle Version:

Version:

Kostenlose Version
Kostenlos

Ohne Support

Dieses Plugin ist für Shopware 6 verfügbar
Support
  • Ohne Support
Plugin Details
  • Swag575294366635f
  • shopware AG
  • 1.1.21
  • 09.11.2020
  • 5.0.0 – 5.0.4
    5.1.0 – 5.1.6
    5.2.0 – 5.2.27
    5.3.0 – 5.3.7
    5.4.0 – 5.4.6
    5.5.0 – 5.5.10
    5.6.0 – 5.6.9
Schütze Dich vor Sicherheitslücken mit dem Shopware Sicherheits-Plugin. Falls Du Dein System... mehr

Produktinformationen

Schütze Dich vor Sicherheitslücken mit dem Shopware Sicherheits-Plugin. Falls Du Dein System nicht, wie empfohlen, auf die neuste Version updaten kannst, sicherst Du Dich mit Updates dieses Plugins ab. Das im Backend aktivierte Plugin schließt dann aktuelle Sicherheitslücken in Deinem System.

Bitte achte darauf, dieses Plugin stets auf die aktuellste Version upzudaten.

Bewertungen lesen, schreiben und diskutieren... mehr

Kundenbewertungen

Durchschnittliche Kundenbewertung aus 6 Bewertungen:

Gesamt
Funktionalität
Bedienung
Dokumentation
Support Nicht verfügbar

Installation scheint keine Probleme auszulösen

09.11.2020

Installation scheint auf den ersten Blick keine Probleme auszulösen und tut hoffentlich auch was sie soll, nämlich Shopware 5 sicherer machen :)

Gesamt
Funktionalität
Bedienung
Dokumentation

Hilfreiches Plugin

22.08.2020

Danke für das kostenloses Plugin.

Gesamt
Funktionalität
Bedienung
Dokumentation

Perfekt dieses Plugin

06.08.2020

Vielen herzlichen Dank für dieses kostenloses Plugin.

Habe zwar im Account die Meldung:
Aktuelle Version 1.1.20
Nicht kompatibel mit Deiner Shopware Version (5.6.7)

Dabei habe ich die neuste Version :-)

Gesamt
Funktionalität
Bedienung
Dokumentation
shopware AG
10.08.2020

Hallo,
vielen Dank für die Bewertung und das Feedback zu unserem Sicherheits-Plugin.
Das Plugin ist nicht mit der aktuellsten Shopware-Version kompatibel, da alle Funktionen des Plugins bereits im aktuellen Shopware-Core enthalten sind.
Das Plugin wird also nur benötigt, wenn eine Sicherheitslücke in einer Neueren als der selbst eingesetzten Shopware-Version geschlossen wird.

Viele Grüße aus Schöppingen
Dein Team der shopware AG

Version 1.1.8 funktioniert nicht mit SW 5.2.26

02.09.2019

Im Backend nach Einloggen riesiger Alert, dass das Plugin auf 1.1.8 aktualisiert werden sollte, jedoch funktioniert es nicht für SW 5.2.26, trotz anderslautende Infos im Store. Z.Zt. nutzlos. Was soll das?

Gesamt
Funktionalität
Bedienung
Dokumentation

Sinnvoll, praktisch, gut

26.07.2019

Ich finde die Lösung des Sicherheitsplugins super praktisch, vor allem da man hier nicht bei einem Sicherheitsrelease zwingend die aktuelle Version des Shopsystems einspielen muss und trotzdem schnell sicherheitskritische Lücken geschlossen werden können. Das ist erfahrungsgemäßg bei anderen Shopsystemen nicht immer so einfach. Bisher hatten wir beim Einspielen nie Probleme - es wurde immer mit einem Klick erfolgreich durchgeführt. Allerdings haben wir auch kaum Drittanbieter-Plugins im Einsatz.

Gesamt
Funktionalität
Bedienung
Dokumentation

Nach Installation ist Shop zusammengebrochen

07.06.2019

Nach Installation ließ sich der Shop nicht mehr aufrufen. Das Backend auch nicht.

Gesamt
Funktionalität
Bedienung
Dokumentation

Änderungen

Version 1.1.21

Absicherung gegen mögliche XSS Injection Schwachstellen

Version 1.1.20

Absicherung gegen mögliches Informationsleck

Version 1.1.19

Timing Problem mit Double Opt-in Registrierungen behoben

Version 1.1.18

Absicherung gegen mögliche XSS Injection Schwachstellen

Version 1.1.17

Probleme mit der Vorschau des Productstreams wurden behoben

Version 1.1.16

Absicherung gegen mögliche authentifizierte Remote Code Execution

Version 1.1.15

Absicherung gegen mögliche XSS, DQL und SQL Injection Schwachstellen

Version 1.1.14

Absicherung gegen mögliche XSS, CSRF Token Leakage und Session Fixation Schwachstellen

Version 1.1.13

Absicherung gegen Remote Code Executions im Backend, einen Validation Bypass Angriff und Path Traversal bei Medien Live Migration

Version 1.1.12

- Verbesserung Kompatibilität mit Composer Installationen 
- Absicherung gegen Aufrufe des Cache Ordners

Version 1.1.11

Absicherung gegen XSS in Newsletter Anmeldung und gegen eine authentifizierte Remote Code Execution in Shopware < 5.5.1 hinzugefügt

Version 1.1.10

Kompatibilität mit Drittanbieter-Plugins verbessert

Version 1.1.9

Fügt zusätzliche Integritätsprüfungen zum Plugin Manager hinzu

Version 1.1.8

Absicherung für authentifizierte SQLi, directory traversal Sicherheitslücken, unerlaubten Währungswechsel und für Lücken bei der Passwort Wiederherstellung in Shopware < 5.4.3 hinzugefügt

Version 1.1.7

Behebt Probleme mit ProductStream-Vorschau

Version 1.1.6

Behebt Probleme mit einigen Filtern/Suchen im Backend

Version 1.1.5

Absicherung für nicht persistente XSS Sicherheitslücken in Shopware >= 5.2 <= 5.3.6. Plugin-Wartbarkeit verbessert

Version 1.1.4

Kompatibilität mit PHP < 5.5 verbessert

Version 1.1.3

Kompatibilität mit Konsole verbessert

Version 1.1.2

Kompatibilität mit Drittanbieter-Plugins verbessert

Version 1.1.1

Absicherung für authentifizierte SQLi, XXE und XSS Sicherheitslücken in Shopware >= 5.0 <= 5.3.3 hinzugefügt

Version 1.1.0

Smarty Funktions Whitelist für den 'Security mode' hinzugefügt

Version 1.0.0

Infos zum Hersteller

shopware AG shopware AG Shopware Enterprise Partner Shopware Enterprise Partner 97 Erweiterungen 3.5 Ø-Bewertung
Aktuelle Version:

Version:

Kostenlose Version
Kostenlos

Ohne Support

Zuletzt angesehen